Bug 139641 - Can't change default text editor
Can't change default text editor
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Depends On:
  Show dependency treegraph
Reported: 2004-11-16 23:17 EST by Braden McDaniel
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-11 00:22:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Braden McDaniel 2004-11-16 23:17:03 EST
Description of problem:
I can select a text editor from the list, but it invariably reverts to
"Text Editor" (i.e., gedit).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Open "Preferred Applications".
2. Select "Text Editor" tab.
3. Select bullet "Select an Editor".
4. From the drop-down list, pick an editor other than "Text Editor".
5. Close the dialog.
Actual results:
Reopen "Preferred Applications", select "Text Editor" tab. Note that
the default text editor has reverted to "Text Editor".

Expected results:
It was expected that the selected editor would remain selected.
Comment 1 Pawel Salek 2005-02-27 02:23:48 EST
Confirmed. It seems like a trivial bug to fix. Does anybody know how
to work around it before it gets fixed? Some magic gconftool-2
incantation or another windows registry modification?
Comment 2 Ignacio Vazquez-Abrams 2005-03-12 02:24:35 EST
Note that if you run gnome-default-applications-properties from the terminal you
get a message back:

"(gnome-default-applications-properties:3979): libgnomevfs-WARNING **:
Deprecated function.  User modifications to the MIME database are no longer

Should this bug be reported upstream as well?
Comment 3 Matthias Clasen 2005-04-22 23:25:22 EDT
Not an fc4 issue, since the text editor tab is gone in fc4
Comment 4 Matthew Miller 2006-07-10 18:12:55 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!

Note You need to log in before you can comment on or make changes to this bug.